Loading...
Searching...
No Matches
File Lock Types
Apache Portability Runtime library » File I/O Handling Functions
Collaboration diagram for File Lock Types:

## Macros

#define | APR_FLOCK_SHARED 1
#define | APR_FLOCK_EXCLUSIVE 2
#define | APR_FLOCK_TYPEMASK 0x000F
#define | APR_FLOCK_NONBLOCK 0x0010

## Detailed Description

## Macro Definition Documentation

## APR_FLOCK_EXCLUSIVE

#define APR_FLOCK_EXCLUSIVE 2

Exclusive lock. Only one process may hold an exclusive lock at any given time. This is analogous to a "write lock".

## APR_FLOCK_NONBLOCK

#define APR_FLOCK_NONBLOCK 0x0010

do not block while acquiring the file lock

## APR_FLOCK_SHARED

#define APR_FLOCK_SHARED 1

Shared lock. More than one process or thread can hold a shared lock at any given time. Essentially, this is a "read lock", preventing writers from establishing an exclusive lock.

## APR_FLOCK_TYPEMASK

#define APR_FLOCK_TYPEMASK 0x000F

mask to extract lock type